%define	d5dversion	0.1.1

Summary: A free video player that supports DVDs, mpeg, DivX ;-) etc.
Name: xine
Version: 0.9.8
Release: fr1
Serial: 1
Copyright: GPL
Group: Applications/Multimedia
Source0: http://xine.sourceforge.net/files/%{name}-lib-%{version}.tar.bz2
Source1: http://xine.sourceforge.net/files/%{name}-ui-%{version}.tar.bz2
Source2: http://www.world-space.de/captaincss/xine-d5d-%{d5dversion}.tar.gz
URL: http://xine.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-root
Requires: XFree86, libpng, zlib, arts, libogg, libvorbis, esound
BuildRequires: perl, XFree86-devel, libpng-devel, zlib-devel
BuildRequires: arts, libogg-devel, libvorbis-devel, esound-devel

%description
Xine is a free GPL-licensed video player for unix-like systems.
We support mpeg-2 and mpeg-1 system (audio + video multiplexed) streams,
mpeg elementary streams (audio/video only, e.g. mp3 files) and 
AVI files (using win32 codec dlls).

Xine plays the video and audio data of the stream and synchronizes
the playback of both. Depending on the properties of the stream,
playback will need more or less processor power, full frame rate
for mpeg-2 has been seen on a 400 MHz P II system.


%package devel
Summary: Static libraries and header files from the Xine video player.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
Static libraries and header files from the Xine video player.


%prep
%setup -q -a1 -a2 -n %{name}-lib-%{version}

%build
# We install in the %%build section, sorry but that's the only solution!
rm -rf %{buildroot}

export XINE_BUILD="`echo %{_target} | cut -d '-' -f 1`-%{_vendor}-%{_target_os}"
./configure	--prefix=%{_prefix} \
		--mandir=%{_mandir} \
		--includedir=%{_includedir} \
		--bindir=%{_bindir} \
		--disable-alsa
make
make install	prefix=%{buildroot}%{_prefix} \
		mandir=%{buildroot}%{_mandir} \
		includedir=%{buildroot}%{_includedir} \
		bindir=%{buildroot}%{_bindir}

# Temp hack to ba able to compile the UI and DVD plugin
export LD_LIBRARY_PATH="%{buildroot}%{_libdir}:$LD_LIBRARY_PATH"
export PATH="%{buildroot}%{_bindir}:$PATH"
perl -pi -e '	s|^prefix=.*|prefix=%{buildroot}%{_prefix}|g; \
		s|^exec_prefix=.*|exec_prefix=%{buildroot}%{_prefix}|g; \
		s|%{_includedir}|%{buildroot}%{_includedir}|g; \
		s|%{_libdir}|%{buildroot}%{_libdir}|g; \
		s|%{_datadir}|%{buildroot}%{_datadir}|g' \
	%{buildroot}%{_bindir}/xine-config

pushd xine-d5d-%{d5dversion}
	%configure
	make
	make install
popd

pushd %{name}-ui-%{version}
	./configure	--prefix=%{_prefix} \
			--mandir=%{_mandir} \
			--includedir=%{_includedir} \
			--bindir=%{_bindir}
	make
	make install \
		prefix=%{buildroot}%{_prefix} \
		mandir=%{buildroot}%{_mandir} \
		includedir=%{buildroot}%{_includedir} \
		bindir=%{buildroot}%{_bindir}
popd

# Clean up the docs
rm -rf %{name}-ui-%{version}/doc/{man,Makefile*} || :
find doc/ -name "Makefile*" | xargs rm -f || :
rm -rf doc/man || :

%install
# Put the desktop entry into place
mkdir -p %{buildroot}%{_sysconfdir}/X11/applnk/Multimedia
mkdir -p %{buildroot}%{_prefix}/share/pixmaps
cp %{buildroot}%{_prefix}/share/xine/desktop/xine.desktop \
	%{buildroot}%{_sysconfdir}/X11/applnk/Multimedia/xine.desktop
cp %{buildroot}%{_prefix}/share/xine/desktop/xine.xpm \
	%{buildroot}%{_prefix}/share/pixmaps/xine.xpm

# It's about time we end that ugly hack
perl -pi -e '	s|^prefix=.*|prefix=%{_prefix}|g; \
		s|^exec_prefix=.*|exec_prefix=%{_prefix}|g; \
		s|%{buildroot}%{_includedir}|%{_includedir}|g; \
		s|%{buildroot}%{_libdir}|%{_libdir}|g; \
		s|%{buildroot}%{_datadir}|%{_datadir}|g' \
	%{buildroot}%{_bindir}/xine-config

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO %{name}-ui-%{version}/doc
%{_sysconfdir}/X11/applnk/Multimedia/xine.desktop
%{_bindir}/xine
%{_bindir}/xine-bugreport
%{_bindir}/xine-check
%{_prefix}/lib/*.so.*
%dir %{_prefix}/lib/xine
%dir %{_prefix}/lib/xine/plugins
%{_prefix}/lib/xine/plugins/*.so
%{_prefix}/share/locale/*/LC_MESSAGES/*
%{_prefix}/share/pixmaps/xine.xpm
%{_prefix}/share/xine
%{_mandir}/man1/xine.1*
%{_mandir}/??/man1/xine.1*

%files devel
%defattr(-, root, root)
%doc doc/*
%{_bindir}/xine-config
%{_includedir}/*
%{_prefix}/lib/*.la
%{_prefix}/lib/*.so
%dir %{_prefix}/lib/xine
%dir %{_prefix}/lib/xine/plugins
%{_prefix}/lib/xine/plugins/*.la
%{_prefix}/share/idl/*
%{_mandir}/man1/xine-config.1*
%{_mandir}/man3/*

%changelog
* Wed Jan 16 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.8 with new all-in-one d5d css and menu support plugin.
- Cleaned up the docs.

* Tue Dec 11 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.7.

* Thu Nov 29 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.6.

* Sat Nov 24 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.5, added the new LC_MESSAGEs.

* Tue Nov  6 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.4 (0.9.3 had build problems).
- Update d4d plugin to 0.2.7.
- Put the menu navigation plugin back in and update it to 0.9.3beta
  (yeah, Fred, I'm doing that for you ;-)).

* Thu Nov  1 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added the missing xineshot to %files.
- Removed the menu navigation plugin : It's so buggy and not moving very
  fast. If you want menu support, try Ogle, it's worth it!
- Added new man pages translations.
- Cleaned-up the %doc section, lots were added recently.
- Modified the way the target cpu is forced, it should now be possible to
  rebuild for anything else than i686.

* Mon Oct 22 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Removed the libdvdcss since it was making xine mutually exclusive with
  videolan... and moved it to a separate package instead.
- Removed the ugly hacks from libtool problems, I guess this spec won't
  be suited for 7.1 anymore.

* Sun Oct 21 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Addedd libdvdcss library so that encrypted menus can now be played too.
- Updated lots of dependencies (ogg vorbis, arts, zlib, esd, libpng).

* Tue Oct 16 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.2 with updated CSS plugin and libvdvread.

* Mon Oct  8 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat 7.2 with lirc support.

* Wed Sep 19 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Updated the dvdnav plugin to the latest version.

* Tue Sep 18 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.1.
- Update libdvdread to 0.9.1 too :-)

* Fri Sep 14 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.0.
- Spec file cleanup, the configure scripts and the way they use macros
  are still too crappy to clean up more :-(
- Included the new menu plugin and libdvdcss...slurp!

* Thu Sep 13 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.5.3 and kept d4d plugin 0.2.2 (0.2.4 doesn't compile for me).

* Mon Sep  3 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.5.2.
- Removed the "aaxine" binary.

* Sat Aug 11 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.5.1.

* Fri Aug 10 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Nothing weird with the package in one whole week, I'll release it :-)

* Mon Aug  6 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.5.0.
- Merged the new "lib" and "ui" sources in the same SRPM and split the
  binaries in a main and a "devel" package.

* Thu May 17 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.4.3.

* Thu May 10 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Changed the spec file to now use XINE_BUILD to override the default
  build arch and use the compilation optimisations chosen by the xine
  authors in the configure script.
- Doesn't work with --arch=athlon though... I wonder why!

* Mon May  7 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.4.2.

* Fri Apr 20 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat 7.1.

* Thu Mar  8 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.4.01.

* Thu Feb 15 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Updated the DeCSS plugin to the latest 0.1.2 release.
- Added a menu entry since xine is now stable enough to not need to be
  launched in a terminal anymore.

* Wed Jan 31 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 0.3.7 with the subtitles patch to the plugin

* Wed Jan 31 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 0.3.6 with the same plugin

* Sat Jan 13 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Included the DeCSS dvd plugin for 0.3.5

* Wed Jan 10 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- upgraded to 0.3.5

* Mon Jan  8 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- upgraded to 0.3.4
- tweak to configure.in to compile with gcc 2.96

* Tue Jan  2 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- upgraded to 0.3.3

* Sun Dec 17 2000 Matthias Saou <matthias.saou@est.une.marmotte.net>
- upgraded to 0.3.2 "complete" :-)
- fixed my files section to include the new skin

* Mon Nov 20 2000 Matthias Saou <matthias.saou@est.une.marmotte.net>
- cleaned-up the spec file for RedHat 7.0
- added stripping, changed prefix, added docs, added defattr

* Fri Oct 17 2000 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- first spec file.

